AlgorithmParametersSpi (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.jcajce.provider.asymmetric.rsa

## Class AlgorithmParametersSpi

- java.lang.Object
- - java.security.AlgorithmParametersSpi
  - - org.bouncycastle.jcajce.provider.asymmetric.rsa.AlgorithmParametersSpi

- Direct Known Subclasses:
    AlgorithmParametersSpi.OAEP, AlgorithmParametersSpi.PSS

      public abstract class AlgorithmParametersSpi
      extends java.security.AlgorithmParametersSpi

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AlgorithmParametersSpi.OAEP`
    `static class` | `AlgorithmParametersSpi.PSS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AlgorithmParametersSpi()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.security.spec.AlgorithmParameterSpec` | `engineGetParameterSpec(java.lang.Class paramSpec)`
    `protected boolean` | `isASN1FormatString(java.lang.String format)`
    `protected abstract java.security.spec.AlgorithmParameterSpec` | `localEngineGetParameterSpec(java.lang.Class paramSpec)`

    - ### Methods inherited from class java.security.AlgorithmParametersSpi

      `engineGetEncoded, engineGetEncoded, engineInit, engineInit, engineInit, engineToString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AlgorithmParametersSpi

          public AlgorithmParametersSpi()

  - ### Method Detail

    - #### isASN1FormatString

          protected boolean isASN1FormatString(java.lang.String format)

    - #### engineGetParameterSpec

          protected java.security.spec.AlgorithmParameterSpec engineGetParameterSpec(java.lang.Class paramSpec)
                                                                              throws java.security.spec.InvalidParameterSpecException

      Specified by:
        `engineGetParameterSpec` in class `java.security.AlgorithmParametersSpi`
      Throws:
        `java.security.spec.InvalidParameterSpecException`

    - #### localEngineGetParameterSpec

          protected abstract java.security.spec.AlgorithmParameterSpec localEngineGetParameterSpec(java.lang.Class paramSpec)
                                                                                            throws java.security.spec.InvalidParameterSpecException

      Throws:
        `java.security.spec.InvalidParameterSpecException`